Kodi 17.0 Officially Released!

After months of testing, Kodi 17.0 has been officially released. It is now stable enough for you to install on your main device. I am still waiting for an official release for my Apple TV 4, which should be out pretty soon. You can check out my post “Apple TV 4 Kodi Updates” to find out as soon as it is available. This update brought a lot of changes and improvements including the now default Estuary Skin. One thing to note is that Kodi 17 requires Android 5.0 or higher. If you have anything older than Android 5.0, you will need to continue using Kodi 16.1. All Amazon Fire TV models are safe as they are based on Android 5.1.1.

If you are interested in knowing what is new in Kodi 17.0, check out the full changelog here. If you have been a long time Kodi user and find it hard to get used to the default skin, stay tuned to the website as I will be publishing a tutorial on how to revert back to the old Confluence Skin you know and love.

The last thing to mention is that this new version brings several options to choose from. You will see 32-bit, 64-bit, etc. What you need is to research your specific device to find out which is the best version for you. What I can tell you is that Amazon Fire TV 1st Generation, Amazon Fire TV Stick 1st & 2nd Generation all have 32-bit CPUs, therefore, you will need to select the 32-bit version of Kodi. The Amazon Fire TV 2nd Generation is the only device with a 64-bit CPU, therefore, you can go ahead and install the 64-bit version of Kodi. If you are still unsure which version to use, your best bet is to stick with the 32-bit version. That is the version I have been using on my Fire TV since the beginning and I never had any issues. I will be switching to the 64-bit version soon since my device is supported. If I have any problems, I will report them back here. If you don’t hear from me, then all went well.


Let me know in the comments what you think of this release. Are you going to update? If not, why?

Leave a Reply